<%- include('partials/header') %>
<%- include('partials/navbar') %>
<div class="container py-md-5 container--narrow">
  <form action="/compose" method="POST" enctype="multipart/form-data">
    <div class="form-group">
      <label for="post-title" class="text-muted mb-1"><small>Title</small></label>
      <input required name="title" id="post-title" class="form-control form-control-lg form-control-title" type="text" placeholder="" autocomplete="off">
    </div>

    <div class="form-group">
      <label for="post-body" class="text-muted mb-1"><small>Body Content</small></label>
      <textarea required name="content" id="post-body" class="content tall-textarea form-control" type="text"></textarea>
    </div>
    

   <div class="form-row">
    <div class="form-item form-item-no-grow">
      <% if(profile.coverImageName && profile.coverImageName.path){ %>
      <img src="<%= profile.coverImageName.path %>" style="height: 150px" >
      <% } %>
      <input type="file" name="cover" class="profile-cover" />
      <% if(profile.coverImageName && profile.coverImageName.path){ %>
      <input
        type="hidden"
        name="old_cover"
        value="<%= profile.coverImageName.path %>"
        class="profile-cover"
      />
      
      <% } %>
    </div>
    <input type="submit" value="New Post" class="mt-5 btn btn-md btn-danger">
  </form>
</div>


<%- include('partials/footer') %>
